Name: H5Sget_select_bounds
Signature:
  herr_t `H5Sget_select_bounds`(hid_t `space_id`, hsize_t *`start`, hsize_t *`end` )
Purpose:
  Gets the bounding box containing the current selection.
Description:
  `H5Sget_select_bounds` retrieves the coordinates of the bounding box containing the current selection and places them into user-supplied buffers.

  The `start` and `end` buffers must be large enough to hold the dataspace rank number of coordinates.

  The bounding box exactly contains the selection. I.e., if a 2-dimensional element selection is currently defined as containing the points (4,5), (6,8), and (10,7), then the bounding box will be (4, 5), (10, 8).

  The bounding box calculation includes the current offset of the selection within the dataspace extent.

  Calling this function on a `none` selection will return `FAIL`.

Parameters:

hid_t `space_id` | IN: Identifier of dataspace to query.
hsize_t *`start` | OUT: Starting coordinates of the bounding box.
hsize_t *`end` | OUT: Ending coordinates of the bounding box, i.e., the coordinates of the diagonally opposite corner.

Returns:
  Returns a non-negative value if successful; otherwise returns a negative value.
Fortran90 Interface:

      SUBROUTINE  h5sget_select_bounds_f(space_id, start, end, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: space_id
                                         ! Dataspace identifier
        INTEGER(HSIZE_T), DIMENSION(*), INTENT(OUT) :: start
                                         ! Starting coordinates of the bounding box
        INTEGER(HSIZE_T), DIMENSION(*), INTENT(OUT) :: end
                                         ! Ending coordinates of the bounding box,
                                         ! i.e., the coordinates of the diagonally
                                         ! opposite corner
        INTEGER, INTENT(OUT) :: hdferr   ! Error code
      END SUBROUTINE h5sget_select_bounds_f

History:

Release | C
1.6.0 | The `start` and `end` parameters have changed from type hsize_t * to hssize_t *.